Index: LMDZ5/trunk/libf/phylmd/1DUTILS.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1DUTILS.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1DUTILS.h	(revision 2019)
@@ -2164,11 +2149,11 @@
 ! dQhrz
         if(0 < zlay(k) .and. zlay(k) < 3000) then
-          dqh_dyn(k)=-1.0 / 86400 + (0.345 + 1.0)/
-     :                    (86400*3000) * (zlay(k))
+          dqh_dyn(k)=-1.0 / 86400 + (0.345 + 1.0)/                         &
+     &                    (86400*3000) * (zlay(k))
         elseif(3000 < zlay(k) .and. zlay(k) < 4000) then
           dqh_dyn(k)=0.345 / 86400
         elseif(4000 < zlay(k) .and. zlay(k) < 5000) then
-          dqh_dyn(k)=0.345 / 86400 + 
-     +   (-0.345)/(86400 * (5000 - 4000)) * (zlay(k)-4000)
+          dqh_dyn(k)=0.345 / 86400 +                                       &
+     &   (-0.345)/(86400 * (5000 - 4000)) * (zlay(k)-4000)
         else
           dqh_dyn(k)=0.0
@@ -2196,7 +2181,7 @@
 
 !======================================================================
-        SUBROUTINE interp_sandu_time(day,day1,annee_ref
-     i             ,year_ini_sandu,day_ini_sandu,nt_sandu,dt_sandu
-     i             ,nlev_sandu,ts_sandu,ts_prof)
+        SUBROUTINE interp_sandu_time(day,day1,annee_ref                    &
+     &             ,year_ini_sandu,day_ini_sandu,nt_sandu,dt_sandu         &
+     &             ,nlev_sandu,ts_sandu,ts_prof)
         implicit none
 
@@ -2247,10 +2232,10 @@
        time_sandu2=(it_sandu2-1)*dt_sandu
        print *,'timeit day day_ini_sandu',timeit,day,day_ini_sandu
-       print *,'it_sandu1,it_sandu2,time_sandu1,time_sandu2',
-     .          it_sandu1,it_sandu2,time_sandu1,time_sandu2
+       print *,'it_sandu1,it_sandu2,time_sandu1,time_sandu2',              &
+     &          it_sandu1,it_sandu2,time_sandu1,time_sandu2
 
        if (it_sandu1 .ge. nt_sandu) then
-        write(*,*) 'PB-stop: day, it_sandu1, it_sandu2, timeit: '
-     :        ,day,it_sandu1,it_sandu2,timeit/86400.
+        write(*,*) 'PB-stop: day, it_sandu1, it_sandu2, timeit: '          &
+     &        ,day,it_sandu1,it_sandu2,timeit/86400.
         stop
        endif
@@ -2260,23 +2245,23 @@
        frac=max(frac,0.0)
 
-       ts_prof = ts_sandu(it_sandu2)
-     :          -frac*(ts_sandu(it_sandu2)-ts_sandu(it_sandu1))
-
-         print*,
-     :'day,annee_ref,day_ini_sandu,timeit,it_sandu1,it_sandu2,SST:',
-     :day,annee_ref,day_ini_sandu,timeit/86400.,it_sandu1,
-     :it_sandu2,ts_prof
+       ts_prof = ts_sandu(it_sandu2)                                       &
+     &          -frac*(ts_sandu(it_sandu2)-ts_sandu(it_sandu1))
+
+         print*,                                                           &
+     &'day,annee_ref,day_ini_sandu,timeit,it_sandu1,it_sandu2,SST:',       &
+     &day,annee_ref,day_ini_sandu,timeit/86400.,it_sandu1,                  &
+     &it_sandu2,ts_prof
 
         return
         END
 !=====================================================================
-c-------------------------------------------------------------------------
-      SUBROUTINE read_armcu(fich_armcu,nlev_armcu,nt_armcu,
-     : sens,flat,adv_theta,rad_theta,adv_qt)
+!-------------------------------------------------------------------------
+      SUBROUTINE read_armcu(fich_armcu,nlev_armcu,nt_armcu,                &
+     & sens,flat,adv_theta,rad_theta,adv_qt)
       implicit none
 
-c-------------------------------------------------------------------------
-c Read ARM_CU case forcing data
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Read ARM_CU case forcing data
+!-------------------------------------------------------------------------
 
       integer nlev_armcu,nt_armcu
@@ -2296,8 +2281,8 @@
       read(21,'(a)')
       read(21,'(a)')
-      read(21,223) iy, im, id, ih, in, sens(ip),flat(ip),
-     :             adv_theta(ip),rad_theta(ip),adv_qt(ip)
-      print *,'forcages=',iy,im,id,ih,in, sens(ip),flat(ip),
-     :             adv_theta(ip),rad_theta(ip),adv_qt(ip)
+      read(21,223) iy, im, id, ih, in, sens(ip),flat(ip),                  &
+     &             adv_theta(ip),rad_theta(ip),adv_qt(ip)
+      print *,'forcages=',iy,im,id,ih,in, sens(ip),flat(ip),               &
+     &             adv_theta(ip),rad_theta(ip),adv_qt(ip)
       enddo
       close(21)
@@ -2309,9 +2294,9 @@
 
 !=====================================================================
-       SUBROUTINE interp_toga_vertical(play,nlev_toga,plev_prof
-     :         ,t_prof,q_prof,u_prof,v_prof,w_prof
-     :         ,ht_prof,vt_prof,hq_prof,vq_prof
-     :         ,t_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
+       SUBROUTINE interp_toga_vertical(play,nlev_toga,plev_prof            &
+     &         ,t_prof,q_prof,u_prof,v_prof,w_prof                         &
+     &         ,ht_prof,vt_prof,hq_prof,vq_prof                            &
+     &         ,t_mod,q_mod,u_mod,v_mod,w_mod                              &
+     &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
  
        implicit none
@@ -2319,7 +2304,7 @@
 #include "dimensions.h"
 
-c-------------------------------------------------------------------------
-c Vertical interpolation of TOGA-COARE forcing data onto model levels
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Vertical interpolation of TOGA-COARE forcing data onto model levels
+!-------------------------------------------------------------------------
  
        integer nlevmax
@@ -2357,6 +2342,5 @@
 
          do k = 1, nlev_toga-1
-          if (play(l).le.plev_prof(k) 
-     :       .and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
             k1=k
             k2=k+1
@@ -2403,5 +2387,5 @@
         else ! above max altitude of forcing file
  
-cjyg
+!jyg
          fact=20.*(plev_prof(nlev_toga)-play(l))/plev_prof(nlev_toga) !jyg
          fact = max(fact,0.)                                           !jyg
@@ -2430,9 +2414,9 @@
  
 !======================================================================
-        SUBROUTINE interp_astex_time(day,day1,annee_ref
-     i             ,year_ini_astex,day_ini_astex,nt_astex,dt_astex
-     i             ,nlev_astex,div_astex,ts_astex,ug_astex,vg_astex
-     i             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof
-     i             ,ufa_prof,vfa_prof)
+        SUBROUTINE interp_astex_time(day,day1,annee_ref                    &
+     &             ,year_ini_astex,day_ini_astex,nt_astex,dt_astex         &
+     &             ,nlev_astex,div_astex,ts_astex,ug_astex,vg_astex        &
+     &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof   &
+     &             ,ufa_prof,vfa_prof)
         implicit none
 
@@ -2486,10 +2470,10 @@
        time_astex2=(it_astex2-1)*dt_astex
        print *,'timeit day day_ini_astex',timeit,day,day_ini_astex
-       print *,'it_astex1,it_astex2,time_astex1,time_astex2',
-     .          it_astex1,it_astex2,time_astex1,time_astex2
+       print *,'it_astex1,it_astex2,time_astex1,time_astex2',              &
+     &          it_astex1,it_astex2,time_astex1,time_astex2
 
        if (it_astex1 .ge. nt_astex) then
-        write(*,*) 'PB-stop: day, it_astex1, it_astex2, timeit: '
-     :        ,day,it_astex1,it_astex2,timeit/86400.
+        write(*,*) 'PB-stop: day, it_astex1, it_astex2, timeit: '          &
+     &        ,day,it_astex1,it_astex2,timeit/86400.
         stop
        endif
@@ -2499,21 +2483,21 @@
        frac=max(frac,0.0)
 
-       div_prof = div_astex(it_astex2)
-     :          -frac*(div_astex(it_astex2)-div_astex(it_astex1))
-       ts_prof = ts_astex(it_astex2)
-     :          -frac*(ts_astex(it_astex2)-ts_astex(it_astex1))
-       ug_prof = ug_astex(it_astex2)
-     :          -frac*(ug_astex(it_astex2)-ug_astex(it_astex1))
-       vg_prof = vg_astex(it_astex2)
-     :          -frac*(vg_astex(it_astex2)-vg_astex(it_astex1))
-       ufa_prof = ufa_astex(it_astex2)
-     :          -frac*(ufa_astex(it_astex2)-ufa_astex(it_astex1))
-       vfa_prof = vfa_astex(it_astex2)
-     :          -frac*(vfa_astex(it_astex2)-vfa_astex(it_astex1))
-
-         print*,
-     :'day,annee_ref,day_ini_astex,timeit,it_astex1,it_astex2,SST:',
-     :day,annee_ref,day_ini_astex,timeit/86400.,it_astex1,
-     :it_astex2,div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
+       div_prof = div_astex(it_astex2)                                     &
+     &          -frac*(div_astex(it_astex2)-div_astex(it_astex1))
+       ts_prof = ts_astex(it_astex2)                                        &
+     &          -frac*(ts_astex(it_astex2)-ts_astex(it_astex1))
+       ug_prof = ug_astex(it_astex2)                                       &
+     &          -frac*(ug_astex(it_astex2)-ug_astex(it_astex1))
+       vg_prof = vg_astex(it_astex2)                                       &
+     &          -frac*(vg_astex(it_astex2)-vg_astex(it_astex1))
+       ufa_prof = ufa_astex(it_astex2)                                     &
+     &          -frac*(ufa_astex(it_astex2)-ufa_astex(it_astex1))
+       vfa_prof = vfa_astex(it_astex2)                                     &
+     &          -frac*(vfa_astex(it_astex2)-vfa_astex(it_astex1))
+
+         print*,                                                           &
+     &'day,annee_ref,day_ini_astex,timeit,it_astex1,it_astex2,SST:',       &
+     &day,annee_ref,day_ini_astex,timeit/86400.,it_astex1,                 &
+     &it_astex2,div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof 
 
         return
@@ -2521,10 +2505,10 @@
 
 !======================================================================
-        SUBROUTINE interp_toga_time(day,day1,annee_ref
-     i             ,year_ini_toga,day_ini_toga,nt_toga,dt_toga,nlev_toga
-     i             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga
-     i             ,ht_toga,vt_toga,hq_toga,vq_toga
-     o             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof
-     o             ,ht_prof,vt_prof,hq_prof,vq_prof)
+        SUBROUTINE interp_toga_time(day,day1,annee_ref                     &
+     &             ,year_ini_toga,day_ini_toga,nt_toga,dt_toga,nlev_toga   &
+     &             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga   &
+     &             ,ht_toga,vt_toga,hq_toga,vq_toga                        &
+     &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof   &
+     &             ,ht_prof,vt_prof,hq_prof,vq_prof)
         implicit none
 
@@ -2618,6 +2602,6 @@
 
        if (it_toga1 .ge. nt_toga) then
-        write(*,*) 'PB-stop: day, it_toga1, it_toga2, timeit: '
-     :        ,day,it_toga1,it_toga2,timeit/86400.
+        write(*,*) 'PB-stop: day, it_toga1, it_toga2, timeit: '            &
+     &        ,day,it_toga1,it_toga2,timeit/86400.
         stop
        endif
@@ -2627,6 +2611,6 @@
        frac=max(frac,0.0)
 
-       ts_prof = ts_toga(it_toga2)
-     :          -frac*(ts_toga(it_toga2)-ts_toga(it_toga1))
+       ts_prof = ts_toga(it_toga2)                                         &
+     &          -frac*(ts_toga(it_toga2)-ts_toga(it_toga1))
 
 !        print*,
@@ -2635,24 +2619,24 @@
 
        do k=1,nlev_toga
-        plev_prof(k) = 100.*(plev_toga(k,it_toga2)
-     :          -frac*(plev_toga(k,it_toga2)-plev_toga(k,it_toga1)))
-        t_prof(k) = t_toga(k,it_toga2)
-     :          -frac*(t_toga(k,it_toga2)-t_toga(k,it_toga1))
-        q_prof(k) = q_toga(k,it_toga2)
-     :          -frac*(q_toga(k,it_toga2)-q_toga(k,it_toga1))
-        u_prof(k) = u_toga(k,it_toga2)
-     :          -frac*(u_toga(k,it_toga2)-u_toga(k,it_toga1))
-        v_prof(k) = v_toga(k,it_toga2)
-     :          -frac*(v_toga(k,it_toga2)-v_toga(k,it_toga1))
-        w_prof(k) = w_toga(k,it_toga2)
-     :          -frac*(w_toga(k,it_toga2)-w_toga(k,it_toga1))
-        ht_prof(k) = ht_toga(k,it_toga2)
-     :          -frac*(ht_toga(k,it_toga2)-ht_toga(k,it_toga1))
-        vt_prof(k) = vt_toga(k,it_toga2)
-     :          -frac*(vt_toga(k,it_toga2)-vt_toga(k,it_toga1))
-        hq_prof(k) = hq_toga(k,it_toga2)
-     :          -frac*(hq_toga(k,it_toga2)-hq_toga(k,it_toga1))
-        vq_prof(k) = vq_toga(k,it_toga2)
-     :          -frac*(vq_toga(k,it_toga2)-vq_toga(k,it_toga1))
+        plev_prof(k) = 100.*(plev_toga(k,it_toga2)                         &
+     &          -frac*(plev_toga(k,it_toga2)-plev_toga(k,it_toga1)))
+        t_prof(k) = t_toga(k,it_toga2)                                     &
+     &          -frac*(t_toga(k,it_toga2)-t_toga(k,it_toga1))
+        q_prof(k) = q_toga(k,it_toga2)                                     &
+     &          -frac*(q_toga(k,it_toga2)-q_toga(k,it_toga1))
+        u_prof(k) = u_toga(k,it_toga2)                                     &
+     &          -frac*(u_toga(k,it_toga2)-u_toga(k,it_toga1))
+        v_prof(k) = v_toga(k,it_toga2)                                     &
+     &          -frac*(v_toga(k,it_toga2)-v_toga(k,it_toga1))
+        w_prof(k) = w_toga(k,it_toga2)                                     &
+     &          -frac*(w_toga(k,it_toga2)-w_toga(k,it_toga1))
+        ht_prof(k) = ht_toga(k,it_toga2)                                   &
+     &          -frac*(ht_toga(k,it_toga2)-ht_toga(k,it_toga1))
+        vt_prof(k) = vt_toga(k,it_toga2)                                   &
+     &          -frac*(vt_toga(k,it_toga2)-vt_toga(k,it_toga1))
+        hq_prof(k) = hq_toga(k,it_toga2)                                   &
+     &          -frac*(hq_toga(k,it_toga2)-hq_toga(k,it_toga1))
+        vq_prof(k) = vq_toga(k,it_toga2)                                   &
+     &          -frac*(vq_toga(k,it_toga2)-vq_toga(k,it_toga1))
         enddo
 
@@ -2661,8 +2645,8 @@
 
 !======================================================================
-        SUBROUTINE interp_armcu_time(day,day1,annee_ref
-     i             ,year_ini_armcu,day_ini_armcu,nt_armcu,dt_armcu
-     i             ,nlev_armcu,fs_armcu,fl_armcu,at_armcu,rt_armcu
-     i             ,aqt_armcu,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof)
+        SUBROUTINE interp_armcu_time(day,day1,annee_ref                    &
+     &             ,year_ini_armcu,day_ini_armcu,nt_armcu,dt_armcu         &
+     &             ,nlev_armcu,fs_armcu,fl_armcu,at_armcu,rt_armcu         &
+     &             ,aqt_armcu,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof)
         implicit none
 
@@ -2707,10 +2691,10 @@
        time_armcu2=(it_armcu2-1)*dt_armcu
        print *,'timeit day day_ini_armcu',timeit,day,day_ini_armcu
-       print *,'it_armcu1,it_armcu2,time_armcu1,time_armcu2',
-     .          it_armcu1,it_armcu2,time_armcu1,time_armcu2
+       print *,'it_armcu1,it_armcu2,time_armcu1,time_armcu2',              &
+     &          it_armcu1,it_armcu2,time_armcu1,time_armcu2
 
        if (it_armcu1 .ge. nt_armcu) then
-        write(*,*) 'PB-stop: day, it_armcu1, it_armcu2, timeit: '
-     :        ,day,it_armcu1,it_armcu2,timeit/86400.
+        write(*,*) 'PB-stop: day, it_armcu1, it_armcu2, timeit: '          &
+     &        ,day,it_armcu1,it_armcu2,timeit/86400.
         stop
        endif
@@ -2720,19 +2704,19 @@
        frac=max(frac,0.0)
 
-       fs_prof = fs_armcu(it_armcu2)
-     :          -frac*(fs_armcu(it_armcu2)-fs_armcu(it_armcu1))
-       fl_prof = fl_armcu(it_armcu2)
-     :          -frac*(fl_armcu(it_armcu2)-fl_armcu(it_armcu1))
-       at_prof = at_armcu(it_armcu2)
-     :          -frac*(at_armcu(it_armcu2)-at_armcu(it_armcu1))
-       rt_prof = rt_armcu(it_armcu2)
-     :          -frac*(rt_armcu(it_armcu2)-rt_armcu(it_armcu1))
-       aqt_prof = aqt_armcu(it_armcu2)
-     :          -frac*(aqt_armcu(it_armcu2)-aqt_armcu(it_armcu1))
-
-         print*,
-     :'day,annee_ref,day_ini_armcu,timeit,it_armcu1,it_armcu2,SST:',
-     :day,annee_ref,day_ini_armcu,timeit/86400.,it_armcu1,
-     :it_armcu2,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof
+       fs_prof = fs_armcu(it_armcu2)                                       &
+     &          -frac*(fs_armcu(it_armcu2)-fs_armcu(it_armcu1))
+       fl_prof = fl_armcu(it_armcu2)                                       &
+     &          -frac*(fl_armcu(it_armcu2)-fl_armcu(it_armcu1))
+       at_prof = at_armcu(it_armcu2)                                       &
+     &          -frac*(at_armcu(it_armcu2)-at_armcu(it_armcu1))
+       rt_prof = rt_armcu(it_armcu2)                                       &
+     &          -frac*(rt_armcu(it_armcu2)-rt_armcu(it_armcu1))
+       aqt_prof = aqt_armcu(it_armcu2)                                       &
+     &          -frac*(aqt_armcu(it_armcu2)-aqt_armcu(it_armcu1))
+
+         print*,                                                           &
+     &'day,annee_ref,day_ini_armcu,timeit,it_armcu1,it_armcu2,SST:',       &
+     &day,annee_ref,day_ini_armcu,timeit/86400.,it_armcu1,                 &
+     &it_armcu2,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof
 
         return
@@ -2740,9 +2724,9 @@
 
 !=====================================================================
-      subroutine readprofiles(nlev_max,kmax,ntrac,height,
-     .           thlprof,qtprof,uprof,
-     .           vprof,e12prof,ugprof,vgprof,
-     .           wfls,dqtdxls,dqtdyls,dqtdtls,
-     .           thlpcar,tracer,nt1,nt2)
+      subroutine readprofiles(nlev_max,kmax,ntrac,height,                  &
+     &           thlprof,qtprof,uprof,                                     &
+     &           vprof,e12prof,ugprof,vgprof,                              &
+     &           wfls,dqtdxls,dqtdyls,dqtdtls,                             &
+     &           thlpcar,tracer,nt1,nt2)
       implicit none
 
@@ -2750,9 +2734,9 @@
         logical :: llesread = .true.
 
-        real height(nlev_max),thlprof(nlev_max),qtprof(nlev_max),
-     .       uprof(nlev_max),vprof(nlev_max),e12prof(nlev_max),
-     .       ugprof(nlev_max),vgprof(nlev_max),wfls(nlev_max),
-     .       dqtdxls(nlev_max),dqtdyls(nlev_max),dqtdtls(nlev_max),
-     .           thlpcar(nlev_max),tracer(nlev_max,ntrac)
+        real height(nlev_max),thlprof(nlev_max),qtprof(nlev_max),          &
+     &       uprof(nlev_max),vprof(nlev_max),e12prof(nlev_max),            &
+     &       ugprof(nlev_max),vgprof(nlev_max),wfls(nlev_max),             &
+     &       dqtdxls(nlev_max),dqtdyls(nlev_max),dqtdtls(nlev_max),        &
+     &           thlpcar(nlev_max),tracer(nlev_max,ntrac)
 
         integer, parameter :: ilesfile=1
@@ -2765,6 +2749,6 @@
         read (ilesfile,*) kmax
         do k=1,kmax
-          read (ilesfile,*) height(k),thlprof(k),qtprof (k),
-     .                      uprof (k),vprof  (k),e12prof(k)
+          read (ilesfile,*) height(k),thlprof(k),qtprof (k),               &
+     &                      uprof (k),vprof  (k),e12prof(k)
         enddo
         close(ilesfile)
@@ -2779,6 +2763,6 @@
         endif
         do k=1,kmax
-          read (ilesfile,*) height(k),ugprof(k),vgprof(k),wfls(k),
-     .                      dqtdxls(k),dqtdyls(k),dqtdtls(k),thlpcar(k)
+          read (ilesfile,*) height(k),ugprof(k),vgprof(k),wfls(k),         &
+     &                      dqtdxls(k),dqtdyls(k),dqtdtls(k),thlpcar(k)
         end do
         close(ilesfile)
@@ -2806,6 +2790,6 @@
         end
 !======================================================================
-      subroutine readprofile_sandu(nlev_max,kmax,height,pprof,tprof,
-     .       thlprof,qprof,uprof,vprof,wprof,omega,o3mmr)
+      subroutine readprofile_sandu(nlev_max,kmax,height,pprof,tprof,       &
+     &       thlprof,qprof,uprof,vprof,wprof,omega,o3mmr)
 !======================================================================
       implicit none
@@ -2814,8 +2798,8 @@
         logical :: llesread = .true.
 
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max),
-     .  thlprof(nlev_max),
-     .  qprof(nlev_max),uprof(nlev_max),vprof(nlev_max),
-     .  wprof(nlev_max),omega(nlev_max),o3mmr(nlev_max)
+        real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
+        real thlprof(nlev_max)
+        real qprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
+        real wprof(nlev_max),omega(nlev_max),o3mmr(nlev_max)
 
         integer, parameter :: ilesfile=1
@@ -2828,7 +2812,7 @@
         read (ilesfile,*) kmax
         do k=1,kmax
-          read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),
-     .                      qprof (k),uprof(k),  vprof(k),  wprof(k),
-     .                      omega (k),o3mmr(k)
+          read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),      &
+     &                      qprof (k),uprof(k),  vprof(k),  wprof(k),      &
+     &                      omega (k),o3mmr(k)
         enddo
         close(ilesfile)
@@ -2838,6 +2822,6 @@
 
 !======================================================================
-      subroutine readprofile_astex(nlev_max,kmax,height,pprof,tprof,
-     .    thlprof,qvprof,qlprof,qtprof,uprof,vprof,wprof,tkeprof,o3mmr)
+      subroutine readprofile_astex(nlev_max,kmax,height,pprof,tprof,       &
+     &    thlprof,qvprof,qlprof,qtprof,uprof,vprof,wprof,tkeprof,o3mmr)
 !======================================================================
       implicit none
@@ -2846,8 +2830,8 @@
         logical :: llesread = .true.
 
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max),
-     .  thlprof(nlev_max),qlprof(nlev_max),qtprof(nlev_max),
-     .  qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max),
-     .  wprof(nlev_max),tkeprof(nlev_max),o3mmr(nlev_max)
+        real height(nlev_max),pprof(nlev_max),tprof(nlev_max),             &
+     &  thlprof(nlev_max),qlprof(nlev_max),qtprof(nlev_max),               &
+     &  qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max),                  &
+     &  wprof(nlev_max),tkeprof(nlev_max),o3mmr(nlev_max)
 
         integer, parameter :: ilesfile=1
@@ -2860,7 +2844,7 @@
         read (ilesfile,*) kmax
         do k=1,kmax
-          read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),
-     .                qvprof (k),qlprof (k),qtprof (k),
-     .                uprof(k),  vprof(k),  wprof(k),tkeprof(k),o3mmr(k)
+          read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),      &
+     &                qvprof (k),qlprof (k),qtprof (k),                    &
+     &                uprof(k),  vprof(k),  wprof(k),tkeprof(k),o3mmr(k)
         enddo
         close(ilesfile)
@@ -2872,6 +2856,6 @@
 
 !======================================================================
-      subroutine readprofile_armcu(nlev_max,kmax,height,pprof,uprof,
-     .       vprof,thetaprof,tprof,qvprof,rvprof,aprof,bprof)
+      subroutine readprofile_armcu(nlev_max,kmax,height,pprof,uprof,       &
+     &       vprof,thetaprof,tprof,qvprof,rvprof,aprof,bprof)
 !======================================================================
       implicit none
@@ -2880,8 +2864,8 @@
         logical :: llesread = .true.
 
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max),
-     .  thetaprof(nlev_max),rvprof(nlev_max),
-     .  qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max),
-     .  aprof(nlev_max+1),bprof(nlev_max+1)
+        real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
+        real thetaprof(nlev_max),rvprof(nlev_max)
+        real qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
+        real aprof(nlev_max+1),bprof(nlev_max+1)
 
         integer, parameter :: ilesfile=1
@@ -2902,6 +2886,6 @@
         read (ilesfile,*) kmax
         do k=1,kmax
-          read (ilesfile,*) height(k)    ,pprof(k),  uprof(k), vprof(k),
-     .                      thetaprof(k) ,tprof(k), qvprof(k),rvprof(k)
+          read (ilesfile,*) height(k)    ,pprof(k),  uprof(k), vprof(k),   &
+     &                      thetaprof(k) ,tprof(k), qvprof(k),rvprof(k)
         enddo
         close(ilesfile)
@@ -2926,7 +2910,7 @@
         end
 !=====================================================================
-      subroutine read_amma(fich_amma,nlevel,ntime
-     :     ,zz,pp,temp,qv,u,v,dw
-     :     ,dt,dq,sens,flat)
+      subroutine read_amma(fich_amma,nlevel,ntime                          &
+     &     ,zz,pp,temp,qv,u,v,dw                                           &
+     &     ,dt,dq,sens,flat)
 
 !program reading forcings of the AMMA case study
@@ -3156,8 +3140,8 @@
          end subroutine read_amma
 !======================================================================
-        SUBROUTINE interp_amma_time(day,day1,annee_ref
-     i         ,year_ini_amma,day_ini_amma,nt_amma,dt_amma,nlev_amma
-     i         ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma
-     o         ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
+        SUBROUTINE interp_amma_time(day,day1,annee_ref                     &
+     &         ,year_ini_amma,day_ini_amma,nt_amma,dt_amma,nlev_amma       &
+     &         ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma               &
+     &         ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
         implicit none
 
@@ -3237,6 +3221,6 @@
 
        if (it_amma1 .gt. nt_amma) then
-        write(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '
-     :        ,day,day_ini_amma,it_amma1,it_amma2,timeit/86400.
+        write(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '            &
+     &        ,day,day_ini_amma,it_amma1,it_amma2,timeit/86400.
         stop
        endif
@@ -3246,16 +3230,16 @@
        frac=max(frac,0.0)
 
-       lat_prof = lat_amma(it_amma2)
-     :          -frac*(lat_amma(it_amma2)-lat_amma(it_amma1))
-       sens_prof = sens_amma(it_amma2)
-     :          -frac*(sens_amma(it_amma2)-sens_amma(it_amma1))
+       lat_prof = lat_amma(it_amma2)                                       &
+     &          -frac*(lat_amma(it_amma2)-lat_amma(it_amma1)) 
+       sens_prof = sens_amma(it_amma2)                                     &
+     &          -frac*(sens_amma(it_amma2)-sens_amma(it_amma1))
 
        do k=1,nlev_amma
-        vitw_prof(k) = vitw_amma(k,it_amma2)
-     :          -frac*(vitw_amma(k,it_amma2)-vitw_amma(k,it_amma1))
-        ht_prof(k) = ht_amma(k,it_amma2)
-     :          -frac*(ht_amma(k,it_amma2)-ht_amma(k,it_amma1))
-        hq_prof(k) = hq_amma(k,it_amma2)
-     :          -frac*(hq_amma(k,it_amma2)-hq_amma(k,it_amma1))
+        vitw_prof(k) = vitw_amma(k,it_amma2)                               &
+     &          -frac*(vitw_amma(k,it_amma2)-vitw_amma(k,it_amma1))
+        ht_prof(k) = ht_amma(k,it_amma2)                                   &
+     &          -frac*(ht_amma(k,it_amma2)-ht_amma(k,it_amma1))
+        hq_prof(k) = hq_amma(k,it_amma2)                                   &
+     &          -frac*(hq_amma(k,it_amma2)-hq_amma(k,it_amma1))
         enddo
 
@@ -3264,7 +3248,7 @@
 
 !=====================================================================
-      subroutine read_fire(fich_fire,nlevel,ntime
-     :     ,zz,thl,qt,u,v,tke
-     :     ,ug,vg,wls,dqtdx,dqtdy,dqtdt,thl_rad)
+      subroutine read_fire(fich_fire,nlevel,ntime                          &
+     &     ,zz,thl,qt,u,v,tke                                              &
+     &     ,ug,vg,wls,dqtdx,dqtdy,dqtdt,thl_rad)
 
 !program reading forcings of the FIRE case study
Index: LMDZ5/trunk/libf/phylmd/1D_decl_cases.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1D_decl_cases.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1D_decl_cases.h	(revision 2019)
@@ -157,6 +157,6 @@
         logical :: Turb_fcg_gcssold
 
-        common /turb_forcing/
-     s  dtime_frcg,hthturb_gcssold, hqturb_gcssold,Turb_fcg_gcssold
+        common /turb_forcing/                                                   &
+     &  dtime_frcg,hthturb_gcssold, hqturb_gcssold,Turb_fcg_gcssold
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas Arm_cu
